/* -------------------- Configurações gerais do Header --------------------- */
header {
	position: relative;
	/* z-index: 999999; */
	}

	header ul li {
		list-style: unset;
		}
		
	.header,
	.header__content-menu,
	.header__nav__menu,
	.header__nav__menu li {
	overflow: visible !important;
	}

	.onlymobile {
		display: none;
	}
	
	/* -------------------- Desktop acima de 941px ----------------------------- */
	@media (min-width: 941px){
	
	.header__nav__menu {
	display: flex;
	position: relative;
	}
	
	.header__nav__menu li {
	position: relative;
	list-style: none;
	}
	
	/* Primeiro nível submenu (abre abaixo) */
	.header__nav__menu > li .sub-menu {
	position: absolute;
	top: 100%;
	left: 0;
	background-color: #0063A3;
	padding: 10px 0;
	display: none;
	min-width: 200px;
	flex-direction: column;
	box-shadow: 0 4px 8px rgba(0,0,0,0.15);
	z-index: 9999 !important;
	border-radius: 4px;
	}
	
	.header__nav__menu > li:hover > .sub-menu {
	display: flex;
	}
	
	.header__nav__menu li .sub-menu li a {
	padding: 8px 15px;
	font-size: 1.2rem;
	color: #ffffff;
	transition: 0.2s ease-in-out;
	white-space: nowrap;
	text-decoration: none;
	}
	
	.header__nav__menu li .sub-menu li a:hover {
	color: #fff;
	text-decoration: underline;
	}
	
	.header__nav__menu > li.menu-item-has-children > a::after {
	content: " ▼";
	font-size: 0.8rem;
	margin-left:1px;
	position: relative;
	top: -2px;
	}
	
	/* Segundo nível submenu (abre ao lado direito) */
	.header__nav__menu li .sub-menu .sub-menu {
	position: absolute;
	left: 100%;
	top: 0;
	background-color: #0063A3;
	padding: 10px 0;
	min-width: 200px;
	display: none;
	flex-direction: column;
	box-shadow: 0 4px 8px rgba(0,0,0,0.15);
	z-index: 9999 !important;
	border-radius: 4px;
	}
	
	.header__nav__menu li .sub-menu li:hover > .sub-menu {
	display: flex;
	}
	
	.header__nav__menu li .sub-menu li.menu-item-has-children > a::after {
	content: " ▶";
	font-size: 0.8rem;
	float: right;
	position: relative;
	right: 8px;
	}
	}
	
@media (max-width: 940px){

	.onlymobile {
		display: block;
	}
	
	/*----- Inicio Menu Hamburguer --------*/
		.menu__responsivo {
			display: block;
			cursor: pointer;
			position: absolute;
			width: 35px;
			height: 40px;
			right: 20px;
		}
	
		.menu-global {
			-webkit-backface-visibility: hidden;
			backface-visibility: hidden;
			position: absolute;
			border-top: 5px solid #ffffff;
			width: 100%;
			-webkit-transition: .4s;
			transition: .4s;
		}
	
		.menu-top {
			top: 0;
		}
	
		.menu-middle {
			top: 12px;
		}
	
		.menu-bottom {
			top: 24px;
		}
	
		.menu-top-click {
			-webkit-backface-visibility: hidden;
			backface-visibility: hidden;
			top: 13px;
			-webkit-transform: rotate(50deg);
			transform: rotate(50deg);
			-webkit-transition: .4s;
			transition: .4s;
		}
	
		.menu-middle-click {
			opacity: 0;
		}
	
		.menu-bottom-click {
			-webkit-backface-visibility: hidden;
			backface-visibility: hidden;
			top: 13px;
			-webkit-transform: rotate(-410deg);
			transform: rotate(-410deg);
			-webkit-transition: .4s;
			transition: .4s;
		}
		/*------ Fim Menu Hamburguer ----*/
	}
	
	/* -------------------- Mobile abaixo de 940px ----------------------------- */
	
	@media (max-width: 940px){
		
		.header__content-menu{
		overflow-y:auto !important;
		height:100vh;
		background:#999;
		width:100%;
		right:0;
		top:0;
		position:absolute;
		display:none;
		}
		
		.header__nav__menu {
		display:block;
		margin-top:70px;
		}
		
		.header__nav__menu li {
		display: block;
		position: relative;
		list-style:none;
		}
		
		.header__nav__menu li a {
		width:100%;
		padding:20px;
		display:block;
		text-decoration:none;
		color:#ffffff;
		position:relative;
		height:auto;
		border-bottom:solid 1px rgba(255,255,255,.1);
		}
		
		.header__nav__menu .menu-item-has-children > .open-submenu{
		background: url(../images/arrow.svg) no-repeat center;
		background-size: 16px;
		cursor: pointer;
		position:absolute;
		top:0;
		right:0;
		padding:20px 40px 40px;
		width:10px;
		height:16px;
		z-index:9999;
		rotate: 270deg;
		}
		
		.header__nav__menu li .sub-menu{
		display:none;
		position: relative !important;
		width:100%;
		background:#666;
		padding-left:10px;
		}
		
		.header__nav__menu li .open-submenu.open-more {
		transform:rotate(270deg);
		}
		
		.header__nav__menu li .menu-item-has-children > a::after{
		content:"";
		}
		
		/* Terceiro nível submenu (abre abaixo por clique) */
		.header__nav__menu li .sub-menu .sub-menu {
		position: relative !important;
		left:0;
		top:0;
		width:100%;
		background:#555;
		display:none;
		}
		
		.header__nav__menu li .sub-menu li.menu-item-has-children > a::after {
		content:"";
		}
		
		.header__nav__menu li .sub-menu li.menu-item-has-children > .open-submenu {
		background: url(../images/arrow.svg) no-repeat center;
		background-size: 20px;
		cursor:pointer;
		position:absolute;
		top:0;
		right:0;
		padding:20px;
		width:20px;
		height:20px;
		z-index:9000;
		}

		.header-search {
			margin-left: 10px;
		}

		/* Flags Language  */
		#menu-menu-linguas-mobile {
			margin-top: 10px;
			}

		ul#menu-menu-linguas-mobile li {
			width: 5%;
			margin-right: 13px;
		}

	}

	
	@media(max-width:450px){
		.header__content-menu {
			width:100%;
		}

		ul#menu-menu-linguas-mobile li {
			width: 11%;
			margin-right: 13px;
		}
	
	}
	
	.header__nav__menu li .sub-menu li.menu-item-has-children > a::after {
		margin-left: 8px; /* Ajuste aqui conforme desejado */
		}